InvocationContext.Companion
Keywords: net.corda.core.context.InvocationContext.Companion class
Date: 2023-09-18

net.corda.core.context

## Class InvocationContext.Companion

- net.corda.core.context.InvocationContext.Companion

- Enclosing class:
    InvocationContext

      public static class InvocationContext.Companion

- - ### Method Detail

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor,
                                                                                   @Nullable
                                                                                   Trace externalTrace,
                                                                                   @Nullable
                                                                                   Actor impersonatedActor,
                                                                                   @NotNull
                                                                                   java.util.List<? extends java.lang.Object> arguments,
                                                                                   @Nullable
                                                                                   java.lang.String clientId,
                                                                                   @Nullable
                                                                                   net.corda.core.internal.telemetry.SerializedTelemetry serializedTelemetry)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor,
                                                                                   @Nullable
                                                                                   Trace externalTrace,
                                                                                   @Nullable
                                                                                   Actor impersonatedActor,
                                                                                   @NotNull
                                                                                   java.util.List<? extends java.lang.Object> arguments,
                                                                                   @Nullable
                                                                                   java.lang.String clientId)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor,
                                                                                   @Nullable
                                                                                   Trace externalTrace,
                                                                                   @Nullable
                                                                                   Actor impersonatedActor,
                                                                                   @NotNull
                                                                                   java.util.List<? extends java.lang.Object> arguments)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor,
                                                                                   @Nullable
                                                                                   Trace externalTrace,
                                                                                   @Nullable
                                                                                   Actor impersonatedActor)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor,
                                                                                   @Nullable
                                                                                   Trace externalTrace)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace,
                                                                                   @Nullable
                                                                                   Actor actor)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin,
                                                                                   @NotNull
                                                                                   Trace trace)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### newInstance

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext newInstance(@NotNull
                                                                                   InvocationOrigin origin)

      Creates an `class InvocationContext` with a `class Trace` that defaults to a java.util.UUID as value and java.time.Instant.now timestamp.

      See Also:
        `class InvocationContext`, `class Trace`, java.util.UUID, java.time.Instant.now

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor,
                                                                           @NotNull
                                                                           Trace trace,
                                                                           @Nullable
                                                                           Trace externalTrace,
                                                                           @Nullable
                                                                           Actor impersonatedActor,
                                                                           @NotNull
                                                                           java.util.List<? extends java.lang.Object> arguments,
                                                                           @Nullable
                                                                           net.corda.core.internal.telemetry.SerializedTelemetry serializedTelemetry)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor,
                                                                           @NotNull
                                                                           Trace trace,
                                                                           @Nullable
                                                                           Trace externalTrace,
                                                                           @Nullable
                                                                           Actor impersonatedActor,
                                                                           @NotNull
                                                                           java.util.List<? extends java.lang.Object> arguments)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor,
                                                                           @NotNull
                                                                           Trace trace,
                                                                           @Nullable
                                                                           Trace externalTrace,
                                                                           @Nullable
                                                                           Actor impersonatedActor)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor,
                                                                           @NotNull
                                                                           Trace trace,
                                                                           @Nullable
                                                                           Trace externalTrace)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor,
                                                                           @NotNull
                                                                           Trace trace)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### rpc

          @JvmStatic
           @JvmOverloads
           @NotNull
          public InvocationContext rpc(@NotNull
                                                                           Actor actor)

      Creates an `class InvocationContext` with `class InvocationOrigin.RPC` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.RPC`

    - #### peer

          @JvmStatic
           @NotNull
          public InvocationContext peer(@NotNull
                                                             CordaX500Name party,
                                                             @NotNull
                                                             Trace trace,
                                                             @Nullable
                                                             Trace externalTrace,
                                                             @Nullable
                                                             Actor impersonatedActor)

      Creates an `class InvocationContext` with `class InvocationOrigin.Peer` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.Peer`

    - #### service

          @JvmStatic
           @NotNull
          public InvocationContext service(@NotNull
                                                                java.lang.String serviceClassName,
                                                                @NotNull
                                                                CordaX500Name owningLegalIdentity,
                                                                @NotNull
                                                                Trace trace,
                                                                @Nullable
                                                                Trace externalTrace)

      Creates an `class InvocationContext` with `class InvocationOrigin.Service` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.Service`

    - #### scheduled

          @JvmStatic
           @NotNull
          public InvocationContext scheduled(@NotNull
                                                                  ScheduledStateRef scheduledState,
                                                                  @NotNull
                                                                  Trace trace,
                                                                  @Nullable
                                                                  Trace externalTrace)

      Creates an `class InvocationContext` with `class InvocationOrigin.Scheduled` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.Scheduled`

    - #### shell

          @JvmStatic
           @NotNull
          public InvocationContext shell(@NotNull
                                                              Trace trace,
                                                              @Nullable
                                                              Trace externalTrace)

      Creates an `class InvocationContext` with `class InvocationOrigin.Shell` origin.

      See Also:
        `class InvocationContext`, `class InvocationOrigin.Shell`